Get Deal Details

​

Returns the details of the deal

Path Parameters

  • UUID that uniquely identifies the redeemable

Headers

  • The signature for the API call

  • Set this header to application/json.

  • Advertises which content types the client is able to understand

  • Set to the language you are using.

  • You may pass the access_token instead of the authentication_token in Online Ordering endpoints to authorize the request. It must be supplied as Bearer ACCESS_TOKEN_GOES_HERE.

  • For details, see User Agent.

Body

application/json
  • Client key of the business

  • The authentication token of the user. You can retrieve this from the response of a successful sign-in API call or through the SSO process.

Responses

  • application/json
  • Sending invalid Signature

  • Sending invalid Entity

Request Example for get/api/auth/deals/{redeemable_uuid}
curl 'https://SERVER_NAME_GOES_HERE.punchh.com/api/auth/deals/{redeemable_uuid}' \
  --header 'x-pch-digest: SIGNATURE_GOES_HERE' \
  --header 'Content-Type: application/json' \
  --header 'Accept: application/json' \
  --header 'Accept-Language: en' \
  --header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
  --header 'User-Agent: Punchh/OnlineOrder/1.0/Web/BrowserVersion/OS_Type' \
  --data '{
  "client": "CLIENT_GOES_HERE",
  "authentication_token": "AUTHENTICATION_TOKEN_GOES_HERE"
}'
{
  "redeemable_image_url": "IMAGE_URL_GOES_HERE",
  "redeemable_properties": "",
  "redeemable_id": 36,
  "name": "Large Pizza (Box Top Pizza)",
  "description": "",
  "points_required_to_redeem": null,
  "meta_data": "",
  "expiry_days": null,
  "expiring_at": null,
  "discount_amount": null,
  "created_at": "2019-05-31T20:04:54Z",
  "redeemable_uuid": "ID_GOES_HERE",
  "start_time": "2021-04-28T13:59:47+05:30"
}